stages:
  - deploy
  - test

before_script:
  - apt-get update -qq && apt-get install -y -qq sshpass

deploy:
  only:
  - main
  variables:
     SSHPASS: $PASSWD

  script:
  - sshpass -V
  - export SSHPASS=$PASSWD
  - sshpass -e scp -o stricthostkeychecking=no -r $(pwd) root@178.62.234.102:8080

test:
  stage: test
  image: golang:1.17
  script:
    - echo "Testing Go App"
    - CI=true go test ./... -tags=unit
    - CI=true go test ./... -tags=unit
    - echo "Test success!"
